## libsmithwaterman 0.0+git20160702.2610e25

=== Makefile ===
# =========================================
# MOSAIK Banded Smith-Waterman Makefile
# (c) 2009 Michael Stromberg & Wan-Ping Lee
# =========================================

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= smithwaterman.cpp BandedSmithWaterman.cpp SmithWatermanGotoh.cpp Repeats.cpp LeftAlign.cpp IndelAllele.cpp
OBJECTS= $(SOURCES:.cpp=.o) disorder.o
OBJECTS_NO_MAIN= disorder.o BandedSmithWaterman.o SmithWatermanGotoh.o Repeats.o LeftAlign.o IndelAllele.o

# ----------------
# compiler options
# ----------------

# Use ?= to allow overriding from the env or command-line
CXX?=		c++
CXXFLAGS?=	-O3
OBJ?=		sw.o

# I don't think := is useful here, since there is nothing to expand
LDFLAGS:=	-Wl,-s
#CXXFLAGS=-g
EXE:=		smithwaterman
LIBS=

all: $(EXE) $(OBJ)

.PHONY: all

libsw.a: smithwaterman.o BandedSmithWaterman.o SmithWatermanGotoh.o LeftAlign.o Repeats.o IndelAllele.o disorder.o
	ar rs $@ smithwaterman.o SmithWatermanGotoh.o disorder.o BandedSmithWaterman.o LeftAlign.o Repeats.o IndelAllele.o

sw.o:  BandedSmithWaterman.o SmithWatermanGotoh.o LeftAlign.o Repeats.o IndelAllele.o disorder.o
	ld -r $^ -o sw.o -L.
	#$(CXX) $(CFLAGS) -c -o smithwaterman.cpp $(OBJECTS_NO_MAIN) -I.

### @$(CXX) $(LDFLAGS) $(CFLAGS) -o $@ $^ -I.
$(EXE): smithwaterman.o BandedSmithWaterman.o SmithWatermanGotoh.o disorder.o LeftAlign.o Repeats.o IndelAllele.o
	$(CXX) $(CFLAGS) $^ -I. -o $@

#smithwaterman: $(OBJECTS)
#	$(CXX) $(CXXFLAGS) -o $@ $< -I.

smithwaterman.o: smithwaterman.cpp disorder.o
	$(CXX) $(CXXFLAGS) -c -o $@ smithwaterman.cpp -I.

disorder.o: disorder.cpp disorder.h
	$(CXX) $(CXXFLAGS) -c -o $@ $< -I.
BandedSmithWaterman.o: BandedSmithWaterman.cpp BandedSmithWaterman.h
	$(CXX) $(CXXFLAGS) -c -o $@ $< -I.
SmithWatermanGotoh.o: SmithWatermanGotoh.cpp SmithWatermanGotoh.h disorder.o
	$(CXX) $(CXXFLAGS) -c -o $@ $< -I.
Repeats.o: Repeats.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $< -I.
LeftAlign.o: LeftAlign.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $< -I.
IndelAllele.o: IndelAllele.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $< -I.

.PHONY: clean

clean:
	@echo "Cleaning up."
	@rm -f *.o $(PROGRAM) *~

## libsmithwaterman 0.0%2B20160702

=== debian/changelog ===
libsmithwaterman (0.0+20160702-1) unstable; urgency=medium

  * Initial release (Closes: #827916)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jul 2016 15:09:25 +0200

=== debian/control ===
Source: libsmithwaterman
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               d-shlibs,
               libdisorder-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsmithwaterman.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libsmithwaterman.git
Homepage: https://github.com/ekg/smithwaterman

Package: libsmithwaterman0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: determine similar regions between two strings or genomic sequences (lib)
 The Smith–Waterman algorithm performs local sequence alignment; that is,
 for determining similar regions between two strings or nucleotide or
 protein sequences. Instead of looking at the total sequence, the
 Smith–Waterman algorithm compares segments of all possible lengths and
 optimizes the similarity measure.
 .
 This package contains the dynamic library.

Package: libsmithwaterman-dev
Architecture: any
Section: libdevel
Depends: libsmithwaterman0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: determine similar regions between two strings or genomic sequences (devel)
 The Smith–Waterman algorithm performs local sequence alignment; that is,
 for determining similar regions between two strings or nucleotide or
 protein sequences. Instead of looking at the total sequence, the
 Smith–Waterman algorithm compares segments of all possible lengths and
 optimizes the similarity measure.
 .
 This is the development package containing the statically linked
 library and the header files.

Package: smithwaterman
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: determine similar regions between two strings or genomic sequences
 The Smith–Waterman algorithm performs local sequence alignment; that is,
 for determining similar regions between two strings or nucleotide or
 protein sequences. Instead of looking at the total sequence, the
 Smith–Waterman algorithm compares segments of all possible lengths and
 optimizes the similarity measure.

## libsmithwaterman 0.0%2Bgit20160702.2610e25

=== debian/changelog ===
libsmithwaterman (0.0+git20160702.2610e25-7build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:52 +0100

libsmithwaterman (0.0+git20160702.2610e25-7) unstable; urgency=medium

  * Team upload
  * Mark specific symbols for mips and mipsel as optional

 -- Graham Inggs <ginggs@debian.org>  Mon, 13 Aug 2018 11:16:53 +0000

libsmithwaterman (0.0+git20160702.2610e25-6) unstable; urgency=medium

  * Team upload
  * Add missing symbol, drop Lintian override
  * Strip Debian revision from two symbols
  * Mark symbols that are optimized away when building with -O3

 -- Graham Inggs <ginggs@debian.org>  Mon, 06 Aug 2018 11:03:49 +0000

libsmithwaterman (0.0+git20160702.2610e25-5) unstable; urgency=medium

  * Mark some symbols as optional to build with gcc-8
    Closes: #897797
  * Make sure the lib is build before the binary (thanks to Andrey
    Rahmatullin and Dan Kegel)
  * Standards-Version: 4.2.0
  * Lintian override for strange false positive
    symbols-file-contains-current-version-with-debian-revision

 -- Andreas Tille <tille@debian.org>  Sun, 05 Aug 2018 17:35:49 +0200

libsmithwaterman (0.0+git20160702.2610e25-4) unstable; urgency=medium

  * Team upload
  * Fix symbol that seems to be exported on all architectures
  * Mark symbols that are optimized away when building with -O3

 -- Graham Inggs <ginggs@debian.org>  Tue, 12 Jun 2018 19:52:49 +0000

libsmithwaterman (0.0+git20160702.2610e25-3) unstable; urgency=medium

  * More specific symbols for mips and mipsel
    Closes: #895527

 -- Andreas Tille <tille@debian.org>  Thu, 12 Apr 2018 22:51:48 +0200

libsmithwaterman (0.0+git20160702.2610e25-2) unstable; urgency=medium

  * Specify architectures for symbol with different names on different
    architectures
    Closes: #895502

 -- Andreas Tille <tille@debian.org>  Thu, 12 Apr 2018 08:39:35 +0200

libsmithwaterman (0.0+git20160702.2610e25-1) unstable; urgency=medium

  * d/watch: use mode=git (remove debian/get-orig-source)
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * d/rules: do not parse changelog
  * debhelper 11
  * hardening=+all
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Wed, 11 Apr 2018 14:47:20 +0200

libsmithwaterman (0.0+20160702-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 02 Jul 2017 03:28:55 +0200

libsmithwaterman (0.0+20160702-2) experimental; urgency=medium

  * Add -ldisorder to LIBS via pkg-config

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2017 08:48:25 +0100

## libsmithwaterman 0.0+20160702

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-autoreconf,
                d-shlibs,
                libdisorder-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsmithwaterman.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libsmithwaterman.git
 Homepage: https://github.com/ekg/smithwaterman
@@ -31,7 +31,8 @@
 Section: libdevel
 Depends: libsmithwaterman0 (= ${binary:Version}),
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libdisorder-dev
 Description: determine similar regions between two strings or genomic sequences (devel)
  The Smith–Waterman algorithm performs local sequence alignment; that is,
  for determining similar regions between two strings or nucleotide or

=== debian/watch ===
# version=3
# Upstream does not tag releases

## libsmithwaterman 0.0+git20160702.2610e25

=== debian/changelog ===
libsmithwaterman (0.0+git20160702.2610e25-12) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libsmithwaterman-dev, libsmithwaterman0: Add Multi-Arch: same.
  * Drop symbols file to reduce maintenance burden
    Closes: #984207

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 10:01:23 +0200

libsmithwaterman (0.0+git20160702.2610e25-11) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Update symbols to unbreak Ubuntu builds on ppc64el and s390x
    Closes: #974137

  [ Andreas Tille ]
  * More generalised removal of *.la files
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 23:07:21 +0100

libsmithwaterman (0.0+git20160702.2610e25-9) unstable; urgency=medium

  * Update symbols for gcc-10
    Closes: #957476
  * debhelper-compat 13 (routine-update)
  * Remove libsmithwaterman.la from build to make dh_missing happy

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 16:00:43 +0200

libsmithwaterman (0.0+git20160702.2610e25-8) unstable; urgency=medium

  [ Pranav Ballaney ]
  * Team upload.
  * Add autopkgtests

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Fri, 22 May 2020 20:03:59 +0530

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                libdisorder-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libsmithwaterman.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libsmithwaterman.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/libsmithwaterman
+Vcs-Git: https://salsa.debian.org/med-team/libsmithwaterman.git
 Homepage: https://github.com/ekg/smithwaterman
+Rules-Requires-Root: no
 
 Package: libsmithwaterman0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: determine similar regions between two strings or genomic sequences (lib)
  The Smith–Waterman algorithm performs local sequence alignment; that is,
  for determining similar regions between two strings or nucleotide or
@@ -33,6 +34,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          libdisorder-dev
+Multi-Arch: same
 Description: determine similar regions between two strings or genomic sequences (devel)
  The Smith–Waterman algorithm performs local sequence alignment; that is,
  for determining similar regions between two strings or nucleotide or

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so
	find debian -name "lib*.la" -delete

=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h" \
    https://github.com/ekg/smithwaterman.git HEAD

# Issue asking for release tags:
# https://github.com/ekg/smithwaterman/issues/14
